=begin pod

=TITLE class X::Signature::NameClash

=SUBTITLE Compilation error due to two named parameters with the same name

    my class X::Signature::NameClash does X::Comp { }

Compile time error thrown when two named parameters have the same name,
potentially through aliases.

For example

    sub f(:$a, :a(:@b)) { }

dies with

    ===SORRY!===
    Name a used for more than one named parameter

=head1 Methods

=head2 method name

    method name() returns Str:D

Returns the name that was used for more than one parameter.

=end pod
